#
# spec file for package octave-forge-linear-algebra
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  linear-algebra
Name:           octave-forge-%{octpkg}
Version:        2.2.3
Release:        1.13
Summary:        Linear algebra package for Octave
License:        GPL-3.0-or-later AND LGPL-3.0-or-later AND BSD-2-Clause
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  octave-devel >= 4.0.0
Requires:       octave-cli >= 4.0.0
BuildArch:      noarch

%description
Additional linear algebra code, including general SVD and matrix functions.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 2.2.3:
  * The following functions have been removed from the package.
    They have been in Octave core since version 4.4 or earlier:
    + condeig
    + gsvd
    + pgmres (superseded by gmres in core Octave)
- Drop upstream patches:
  0001-CmplxGSVD-dbleGSVD-replace-include-config.h-with-oct.patch
  0002-Remove-autotools-cruft-from-the-very-old-times-of-Oc.patch
- Drop no longer required build dependencies, make package noarch
* Thu Mar  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix build with current octave versions:
  Add 0001-CmplxGSVD-dbleGSVD-replace-include-config.h-with-oct.patch
  Add 0002-Remove-autotools-cruft-from-the-very-old-times-of-Oc.patch
  Substitute gripes.h -> errwarn.h, functions gripe_* -> err_*
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.2.2
